ghc-7.4.2: The GHC API

Safe Haskell | None

Vectorise.Convert

Synopsis

- fromVect :: Type -> CoreExpr -> VM CoreExpr

# Documentation

fromVect

Arguments

:: Type | The type of the original binding.
-> CoreExpr | Expression giving the closure to use, eg `$v_foo`.
-> VM CoreExpr |

Convert a vectorised expression such that it computes the non-vectorised equivalent of its value.

For functions, we eta expand the function and convert the arguments and result: